
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define name guile-gtk
%define version 2.1
%define release 1

%define major 2
%define libname %{name}

Summary:    Makes the GTK+ toolkit accesible from Guile
Name:      %{name}
Version:   %{version}
Release:   %{release}%{?_dist_release}
URL:        http://www.gnu.org/software/guile-gtk/
Source:    %{name}-%{version}.tar.gz
Patch:     guile-gtk-2.1-gdk-gl.patch
License:   GPL
Group:     Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: guile-devel gtk2-devel gtkglarea-devel cairo-devel pango-devel atk-devel
Requires: %{libname} = %{version}-%{release}
Conflicts: gnome-guile
Provides:   guile-gtk-1.2 = %{version}-%{release}
Obsoletes:  guile-gtk-1.2 < %{version}-%{release}

%description 
Guile-gtk is glue code to make the GTK+ toolkit  accesible from Guile.
It provides a  interface for Scheme programmers to develop visual applications. 
It can optionally integrate with gnome via the Gnome-guile module

#%package -n %{libname}
Summary:  %{summary}
Group: System/Libraries
#Conflicts: %mklibname gnome-guile 0
#Conflicts: %mklibname -d gnome-guile 0
#Conflicts: %mklibname %name _0
Requires: %name >= %version-%release

%description -n %{libname}
Libraries for making GTK+ accessible from Guile

%package -n %{libname}-devel
Summary:   %{summary}
Group:    Development/C  
Requires: %{libname} = %{version}-%{release} 
Requires:  libguile-devel >= 1.4, gtk+-devel
Provides:  lib%name-devel = %version-%release
Provides:  guile-gtk-devel = %version-%release

%description -n %{libname}-devel
Static libraries and header files for guile-gtk app development

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1

%build
#autoreconf -fi
#%configure2_5x
%configure
PKG_FLAGS=`pkg-config pango cairo gdk-2.0 atk --cflags`
make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS $PKG_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
PKG_FLAGS=`pkg-config pango cairo gdk-2.0 atk --cflags`
make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS $PKG_FLAGS" DESTDIR=$RPM_BUILD_ROOT install

##move to versioned dir
#mkdir $RPM_BUILD_ROOT/%{_includedir}/%{libname}
#mv $RPM_BUILD_ROOT/%{_includedir}/guile-gtk.h $RPM_BUILD_ROOT/%{_includedir}/%{libname}
#add ln in /usr/include
#ln -s /%{_includedir}/%{libname}/guile-gtk.h $RPM_BUILD_ROOT/%{_includedir}

%post -n %{libname}
/sbin/ldconfig              

%postun -n %{libname}
/sbin/ldconfig              

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%dir %{_datadir}/guile-gtk
%{_datadir}/guile-gtk/gdk-2.0.defs
%{_datadir}/guile-gtk/gtk-2.0.defs
%{_datadir}/guile-gtk/gdk-gl.defs
%{_datadir}/guile-gtk/gdk-pixbuf.defs
%{_datadir}/guile-gtk/glade.defs
%{_datadir}/guile-gtk/gtk-gl-area.defs
%dir %{_datadir}/guile/gtk
%dir %{_datadir}/guile/gtk-2.0
%{_datadir}/guile/gtk-2.0/config.scm
%{_datadir}/guile/gtk-2.0/dynlink.scm
%{_datadir}/guile/gtk-2.0/gdk.scm
%{_datadir}/guile/gtk-2.0/gtk.scm
%{_datadir}/guile/gtk-2.0/repl.scm
%{_datadir}/guile/gtk-2.0/threads.scm
%{_datadir}/guile/gtk-2.0/gdk-gl.scm
%{_datadir}/guile/gtk-2.0/gdk-pixbuf.scm
%{_datadir}/guile/gtk-2.0/glade.scm
%{_datadir}/guile/gtk-2.0/gtk-gl-area.scm
%{_datadir}/guile/gtk/config.scm
%{_datadir}/guile/gtk/dynlink.scm
%{_datadir}/guile/gtk/gdk.scm
%{_datadir}/guile/gtk/gtk.scm
%{_datadir}/guile/gtk/repl.scm
%{_datadir}/guile/gtk/threads.scm
%{_libdir}/lib*.la
%{_mandir}/man1/build-guile-gtk*
 
#%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.* 

%files -n %{libname}-devel
%defattr(-,root,root) 
%{_libdir}/lib*.so  
%{_libdir}/lib*.a
%{_includedir}/*
%{_datadir}/info/*
#%{_includedir}/ guile-gtk.h


%changelog
* Mon Feb 15 2010 slick50 <lxgator@gmail.com> 2.1-1pclos2010
- 2.1

* Tue Feb 06 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.0-1
- 2.0 needed for  guile-1.8.1

* Fri Nov 03 2006 Texstar <texstar@houston.rr.com> 0.31-11pclos2007
- Build for PCLinuxOS 2007

